Skip to main content
GET
/
api
/
v2
/
lead-lists
/
{id}
Get lead list
curl --request GET \
  --url https://api.instantly.ai/api/v2/lead-lists/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-af16-762e-9bbb-afe77b799963",
  "organization_id": "019cc043-af16-762e-9bbb-afe868a7b71e",
  "name": "My Lead List",
  "timestamp_created": "2026-03-05T23:09:47.158Z",
  "has_enrichment_task": false,
  "owned_by": "019cc043-af16-762e-9bbb-afe9cede78cd"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e389-7d83-b699-ff6a30c06af6"

Response

The requested Lead List

A list used to store leads

id
string<uuid>
required

Unique identifier for the lead list

Example:

"019cc043-af16-762e-9bbb-afe77b799963"

organization_id
string<uuid>
required

Organization ID that owns this lead list

Example:

"019cc043-af16-762e-9bbb-afe868a7b71e"

name
string
required

Name of the lead list

Example:

"My Lead List"

timestamp_created
string<date-time>
required

Timestamp when the lead list was created

Example:

"2026-03-05T23:09:47.158Z"

has_enrichment_task
null | boolean

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
null | string<uuid>

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"019cc043-af16-762e-9bbb-afe9cede78cd"